\version "2.24.1"

N = 64
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout I \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=a } \partCombine #'(0 . 9) \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB   { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 4
    \score {
      \layout { \breaklayout II \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
        \new StaffGroup
          \new Horns <<
            \new HornI      \with { key=d \RemoveAllEmptyStaves } { \II.Horn.1 }
            \new HornII     \with { key=d \RemoveAllEmptyStaves } { \II.Horn.2 }
            \new HornIandII \with { key=d } \partCombine \II.Horn.1 \II.Horn.2
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CBB   { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout III \spacing #1/8 }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup
          \new OboeIandII \partCombine \III.Oboe.1 \III.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=a } \partCombine \III.Horn.1 \III.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CBB   { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup
          \new OboeIandII \partCombine #'(0 . 10) \IV.Oboe.1 \IV.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=a } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB   { \IV.Cello }
        >>
      >>
    }
  }
}
